de.esprit.netsuite.server.auth

## Class NdfGroupWriter

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.task.AbstractAsyncExecutable<C>
      - - de.esprit.appsuite.nio.ndf.NdfWriter
        - - de.esprit.netsuite.server.auth.NdfGroupWriter

- All Implemented Interfaces:
    ApplicationObject, NdfConstants, AsyncExecutable, CancellableTask, TaskMonitorSupport, SimpleLogSupport, Dumpable, java.io.Closeable, java.lang.AutoCloseable

      public class NdfGroupWriter
      extends NdfWriter

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `childTaskRef, isTestMode, monitorController, resultRef, stateFlag`

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalse, booleanTrue, lineCommentChar, ndfBreakChars, ndfCreatedKey, ndfVersion, ndfVersionKey, separatorLineChar, structureChar, textBreakChars, textParagraph`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NdfGroupWriter(ServerContext ctx, GroupManager groupManager, java.io.File file)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `performWrite()` This method does the actual write of data.

    - ### Methods inherited from class de.esprit.appsuite.nio.ndf.NdfWriter

      `close, closeArray, closeCommentBlock, closeCommentBlock, closeDocument, closeObject, closePropertyList, closeStructuredArrayProperty, closeStructuredObjectProperty, closeStructuredTableProperty, closeTable, executeAsync, getOutputFile, openArray, openArray, openCommentBlock, openDocument, openDocument, openObject, openObject, openOutput, openPropertyList, openStructuredArrayProperty, openStructuredObjectProperty, openStructuredTableProperty, openStructuredTableProperty, openTable, openTable, openTable, openTable, setArrayValuesTabbed, setBlockCommentSeparatorChar, setBlockCommentSeparatorLength, setDecimalFormat, setLogChannel, setMaxArrayValuesByLine, setPropertiesCompacted, setPropertiesIndented, writeArrayValue, writeArrayValues, writeBodyText, writeBodyText, writeBodyText, writeCommentBlock, writeCommentBlock, writeCommentBlock, writeCommentHeadLine, writeCommentHeadLine, writeCommentLine, writeLine, writeLine, writeProperties, writeProperty, writeTableRow, writeTableRow`

    - ### Methods inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `addMonitor, checkCancelled, checkForErrorAndRethrow, clearMonitors, createRunStateFlag, doOnCancel, doOnFailure, executeSubTask, executeSync, getError, getMaxProgressSteps, getMonitorCount, getMonitors, getName, getProgressStepCount, getResult, getRunStateFlag, getTaskId, getType, handleCancellation, handleFailure, handleFinish, handleStart, handleSuccess, hasError, hasMonitor, isCancellable, notifyProceeded, registerTaskStateChange, removeMonitor, resetProgress, setCancellable, setLogLevel, setMaxProgressSteps, setMonitor, setName, setName, setResult, setRunStateFlag, setTaskId, setType, shouldFireMonitor, sleepChecked, wasCancelled`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationConfig, getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.launch.ApplicationObject

      `getApplicationContext`

    - ### Methods inherited from interface de.esprit.common.log.SimpleLogSupport

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning`

- - ### Constructor Detail

    - #### NdfGroupWriter

          public NdfGroupWriter(ServerContext ctx,
                        GroupManager groupManager,
                        java.io.File file)

  - ### Method Detail

    - #### performWrite

          protected void performWrite()
                               throws java.lang.Exception

      Description copied from class: `NdfWriter`
      This method does the actual write of data. It needs to be overridden in subclasses.
      Overrides:
        `performWrite` in class `NdfWriter`
      Throws:
        `java.lang.Exception`

Copyright © 2012 EsprIT-Systems. All Rights Reserved.